------------------------------------------------------------------------------------
--Name:  	zhongqiu1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-08-29
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(31, 34)
CppScriptMgr:ShakeScrEffect(1)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 31, 34, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(510)
local Effect_1 = CppScriptMgr:AddEffect("cyclonexian", 31, 34, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(990)
local Player_1 = CppScriptMgr:AddPlayer(142, 31, 34, "FengMeng", 0, 0)
Player_1:SetZoomPercent(10)
Player_1:SetDir(7)
local effect_1 = CppScriptMgr:AddEffect("_p_0_daboluo_armet", 31, 34, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(510)
ChangeNpcZoom(Player_1, 10, 120, 10, 33)
CppScriptMgr:WaitMilSec(1010)
Player_1:SetAction(101)
Player_1:Say("Hahaha, Chang`e, Hou Yi! You didn`t expect I`d have a day of resurrection, did you?", 1500)
CppScriptMgr:WaitMilSec(1900)
Player_1:Say("This time, I will make the world know that I`m the strongest!", 1500)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(1070)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(790)